use anyhow::Result;
use eframe::egui;

mod helper;
mod ui;

fn main() -> Result<()> {
    env_logger::init(); // Log to stderr (if you run with `RUST_LOG=debug`).
    let options = eframe::NativeOptions {
        viewport: egui::ViewportBuilder::default().with_inner_size([800.0, 600.0]),
        hardware_acceleration: eframe::HardwareAcceleration::Preferred,
        ..Default::default()
    };
    eframe::run_native(
        "ACL Editor",
        options,
        Box::new(|cc| Ok(Box::new(ui::App::new(&cc.egui_ctx)))),
    )
    .expect("Failed to run eframe app");

    Ok(())
}
